##
##  lasem.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_major 0.2
%define       V_minor 0

#   package information
Name:         lasem
Summary:      SVG/MathML Rendering Library
URL:          http://ftp.gnome.org/pub/GNOME/sources/lasem/
Vendor:       Emmanuel Pacaud
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      GPL
Version:      %{V_major}.%{V_minor}
Release:      20120713

#   list of sources
Source0:      http://ftp.gnome.org/pub/GNOME/sources/lasem/%{V_major}/lasem-%{version}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, pkgconfig
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  glib, cairo, pango
PreReq:       glib, cairo, pango

%description
    Lasem aims to be a C/Gobject based SVG/Mathml renderer and editor,
    supporting CSS style sheets. It uses Cairo and Pango as it's
    rendering abstraction layer, and then support numerous output
    formats: xlib, PNG, SVG, PDF, PS, EPS...

%track
    prog lasem = {
        version   = %{version}
        url       = http://ftp.gnome.org/pub/GNOME/sources/lasem/
        regex     = (\d+\.\d+)/
        url       = http://ftp.gnome.org/pub/GNOME/sources/lasem/__NEWVER__/
        regex     = lasem-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

